Get the current credential
curl --request GET \
--url https://api.panoqore.example/v1/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"displayName": "<string>",
"shortName": "<string>",
"initials": "<string>",
"email": "<string>",
"role": "OPERATOR",
"scopes": [
"<string>"
],
"tenantId": "<string>",
"tenantSlug": "<string>",
"tenantName": "<string>",
"environment": "<string>",
"sessionExpiresAt": "2023-11-07T05:31:56Z",
"steppedUpUntil": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Identity
Get the current credential
Scope: any valid credential.
GET
/
v1
/
me
Get the current credential
curl --request GET \
--url https://api.panoqore.example/v1/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"displayName": "<string>",
"shortName": "<string>",
"initials": "<string>",
"email": "<string>",
"role": "OPERATOR",
"scopes": [
"<string>"
],
"tenantId": "<string>",
"tenantSlug": "<string>",
"tenantName": "<string>",
"environment": "<string>",
"sessionExpiresAt": "2023-11-07T05:31:56Z",
"steppedUpUntil": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Response
OK
usr_… or key_…
OPERATOR: read, propose
APPROVER: read, propose, approve
COMPLIANCE: read, audit, export
TENANT_ADMIN: read, manage
PLATFORM_ADMIN: platform; never tenant money
Available options:
OPERATOR, APPROVER, COMPLIANCE, TENANT_ADMIN, PLATFORM_ADMIN